logjam(1)

NAME
logjam - GTK+ client for LiveJournal

SYNOPSIS
logjam [OPTIONS] [FILE]

DESCRIPTION
logjam is a GTK+ client for LiveJournal-based sites such as livejournal.com.

Aside from writing entries, logjam lets you modify your friends list, edit your previous entries, and more.

When run with no arguments (or just username option), logjam will run in the GUI mode. The user interface is mostly self-explanatory, and won't be discussed here in detail, except for a few notes below.

OPTIONS AND COMMANDS
Options can be given in either short or long forms. For help on a particular commands, type "logjam COMMAND help". For example, "logjam grep help" will supply help about the grep command.

    Options:
      -v, --version
        Show version of program.
      -q, --quiet
        Say less.

      -u, --username=USERNAME
        Username to operate as.
      -p, --password=PASSWORD
        Password for the current user.
      -a, --postas=USERNAME
        User/community to post as.

      -f, --file=FILE
        File to load.
      -e, --edit
        Use default editor to edit post.

    Subcommands:
      checkfriends Efficiently check friends list for updates.
      console Run a command on the LiveJournal console.
      post Post event immediately.
      offline Manage offline copies of your journal.
      user Manage user list.

Also, GTK+ command line options (such as --display) can be used.

GUI
This section describes some of the GUI features that aren't immediately apparent.

  Check Friends
logjam can monitor your friends list and notify you when new entries are posted there. Enable this by right-clicking on the indicator at the bottom-left corner of the application window and selecting the appropriate menu item. You may also configure logjam to start doing this automatically for you when you login. When new entries are detected, the indicator will turn red to let you know; click it to resume monitoring or double-click it to open your browser on your friends page. Optionally, you can have logjam open a small "floating" indicator which has some useful GUI settings of its own.

Owners of large friends lists may prefer to be notified only after they accumulate several new posts. You may set the threshold for this in the Check Friends settings tab. The default is 1, that is, logjam will tell you immediately when it detects new traffic on your friends page. There is a small limit on the maximum threshold allowed, because this feature is only useful with small threshold values.

STARTUP
When given a FILE argument, logjam will start up with an existing file as the base for the composed entry. If the filename given is "-", the data will be read from standard input. Several aspects of the entry, such as its subject field and the journal in which to post it to, can be controlled by other options. This is useful in conjunction with the --commandline option, which causes logjam to post an entry without going to GUI mode, allowing completely non-interactive posts. If you do wish to interactively edit the entry, but don't want to load the GUI, use the --edit option.

  Autosave
logjam will periodically save a draft of your currently edited entry in ~/.logjam/draft if you turn on the draft option in the Preferences dialog. This feature is intended for crash recovery, not archiving. If you want to keep a copy of your posts, you should use the Entry > Save As menu option before submitting them. A future version of logjam will support archiving of your journal.

Please note that when you exit the client normally, your draft is cleared. It does not "stick" for the next invocation, as in the behavior of some other clients.

  Checking friends from the command line
You can use logjam as a backend for a script or another application that wishes to check the friends view. This may be useful if you don't want to use the GUI, or if you have several journals (in conjunction with --username). To do this, invoke logjam once with --checkfriends=purge (-rpurge if you're using short options), and then something like:

        logjam --checkfriends && new-entries-handler

Make sure that your script or application purges the checkfriends status as described above once the user has acknowledged the new items, otherwise logjam will always report there's nothing new. You should also pay attention to limiting your query rate, despite the fact that logjam will refuse to flood the server with queries. For more information, see the messages on the command line. (To suppress these messages, use --quiet.)

SEE ALSO
<http://logjam.danga.com>

<http://www.livejournal.com/users/logjam/>

<http://www.livejournal.com>

AUTHOR
This manual page was mostly written by Gaal Yahas <gaal@forum2.org>.